Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util.parser
Class BaseValueParserTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.util.parser.BaseValueParserTest

All Implemented Interfaces:
  junit.framework.Test

    public class BaseValueParserTest

extends BaseTestCase

Testing of the Fulcrum BaseValueParser class

Version:
  $Id: BaseValueParserTest.java 222043 2004-12-06 17:47:33Z painter $
Author:
  Quinton McCombs

Constructor Summary
`BaseValueParserTest(String testName)` Constructor for test.

Method Summary
`void` | `getString()`
`void` | `OFFtestGetBigDecimal()` There seems to be some sort of Java version issue that causes this to fail on Java 1.4.2_09 on OSX.
`protected void` | `setUp()` Performs any initialization that must happen before each test is run.
`protected void` | `tearDown()` Clean up after each test is run.
`void` | `testGetBoolean()`
`void` | `testGetBooleanObject()`
`void` | `testGetByte()`
`void` | `testGetByteObject()`
`void` | `testGetDouble()`
`void` | `testGetDoubleObject()`
`void` | `testGetFloat()`
`void` | `testGetFloatObject()`
`void` | `testGetInt()`
`void` | `testGetIntObject()`
`void` | `testGetLong()`
`void` | `testGetLongObject()`
`void` | `testRecycling()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseValueParserTest

    public BaseValueParserTest(String testName)
                        throws Exception

  Constructor for test.

  Parameters:
    `testName` - name of the test being executed
  Throws:
    `Exception`

Method Detail

### setUp

    protected void setUp()

  Performs any initialization that must happen before each test is run.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  Clean up after each test is run.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testGetByte

    public void testGetByte()

### testGetByteObject

    public void testGetByteObject()

### testGetInt

    public void testGetInt()

### testGetIntObject

    public void testGetIntObject()

### testGetFloat

    public void testGetFloat()

### testGetFloatObject

    public void testGetFloatObject()

### testGetDouble

    public void testGetDouble()

### testGetDoubleObject

    public void testGetDoubleObject()

### testGetLong

    public void testGetLong()

### testGetLongObject

    public void testGetLongObject()

### testGetBoolean

    public void testGetBoolean()

### testGetBooleanObject

    public void testGetBooleanObject()

### OFFtestGetBigDecimal

    public void OFFtestGetBigDecimal()

  There seems to be some sort of Java version issue that causes this to fail on Java 1.4.2_09 on OSX.

### getString

    public void getString()

### testRecycling

    public void testRecycling()
                       throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.